"""
Interfaces for casa_envoy
"""
from abc import ABC


class CasaLauncherIF(ABC):
    """
    Generic CASA Launcher methods.
    Should be implemented for any type of CASA processing.
    """
    def run(self):
        raise NotImplementedError

    def setup_environment(self, parameters: dict):
        raise NotImplementedError

    def check_logs(self):
        raise NotImplementedError


class AuditorIF(ABC):
    """
    Generic functionality implementation for auditor classes
    """
    def audit(self):
        raise NotImplementedError
